package market.Lms.FixedAssets.vo;

import java.io.Serializable;
import java.util.Date;

import market.Lms.FixedAssets.mapper.LmsFixedAssetsMaintainInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="lms_fixed_assets_maintain_info", namespace=LmsFixedAssetsMaintainInfoMapper.class)
public class LmsFixedAssetsMaintainInfo extends BaseVO implements Serializable {

	/**
	 * 资产维修信息主表
	 */
	private static final long serialVersionUID = 374589916970678860L;
	
	@Id
	// 维修单编号
	private String maintain_no;
	
	@Column
	// 维修人编号
	private String creater_no;
	
	@Column
	// 维修人姓名
	private String creater_name;
	
	@Column
	@JsonFormat(pattern="yyyy-MM-dd")
	// 业务时间
	private Date maintain_time;
	
	@Column
	// 维修花费
	private double maintain_amount;
	
	@Column
	// 维修内容
	private String maintain_contain;
	
	@Column
	// 备注
	private String memo;
	
	@Column
	// 状态(1：维修；2：维修完毕)
	private String valid_flag;

	public String getMaintain_no() {
		return maintain_no;
	}

	public void setMaintain_no(String maintain_no) {
		this.maintain_no = maintain_no;
	}

	public String getCreater_no() {
		return creater_no;
	}

	public void setCreater_no(String creater_no) {
		this.creater_no = creater_no;
	}

	public String getCreater_name() {
		return creater_name;
	}

	public void setCreater_name(String creater_name) {
		this.creater_name = creater_name;
	}

	public Date getMaintain_time() {
		return maintain_time;
	}

	public void setMaintain_time(Date maintain_time) {
		this.maintain_time = maintain_time;
	}

	public double getMaintain_amount() {
		return maintain_amount;
	}

	public void setMaintain_amount(double maintain_amount) {
		this.maintain_amount = maintain_amount;
	}

	public String getMaintain_contain() {
		return maintain_contain;
	}

	public void setMaintain_contain(String maintain_contain) {
		this.maintain_contain = maintain_contain;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	
}
